# Lookup - by Card Acceptor Id
source: https://developer.mastercard.com/merchant-identifier/documentation/tutorials-and-guides/lookup-by-acceptor-id/index.md

The client has raw transaction data which includes card acceptor id, but the client is unable to identify other merchant details and attributes about the merchant in the transaction. In this example we will query for merchants matching the card acceptor id of 'C928456'

**Note :** The card acceptor id used in this example is available in the sandbox. Found [here](https://static.developer.mastercard.com/content/merchant-identifier/uploads/merchant-identifier-sandbox-merchant-descriptors.xlsx)

**RESTful GET Request**


API Reference: `GET /merchants-by-card-acceptor-ids`

<br />

**RESTful Request Parameters**

```javascript
card_acceptor_id=123456  
```

**RESTful Response:**

```json
{
  "merchants": [
    {
      "address": {
        "line1": "STREET 67899",
        "city": "NEW YORK",
        "postalCode": "12345",
        "country": {
          "code": "USA",
          "name": "UNITED STATES OF AMERICA"
        }
      },
      "brandName": "JOHN DOE RETAILERS",
      "merchantCategory": "5411 - GROCERY STORE AND SUPERMARKET",
      "merchantDbaName": "JOHN DOE RETAIL",
      "cardAcceptorId": "0000123456",
      "legalCorporateName": "JOHN DOE LLC",
      "locationId": 1174012564,
      "isBrickAndMortar":  false,
      "isEcommerce": true
    }
  ]
}
```

